Skip to main content
GET
https://enterprise.spacemedia.uk
/
api
/
v1
/
copyright
/
wallet
/
top-ups
List Copyright Top-Ups
curl --request GET \
  --url https://enterprise.spacemedia.uk/api/v1/copyright/wallet/top-ups \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Checkout created.",
  "data": {
    "payment_intent_id": "65e920a8-5086-4fb1-ae2e-06c89f888a67",
    "quote": {
      "credits": 100,
      "amount": 25,
      "currency": "USD"
    },
    "checkout_mode": "airwallex",
    "checkout_url": "https://enterprise.spacemedia.uk/copyright/wallet/top-up/65e920a8-5086-4fb1-ae2e-06c89f888a67/checkout"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spacemedia.uk/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
string

Use application/json for API responses.

Authorization
string

Bearer access token. Use Bearer <YOUR_ACCESS_TOKEN>.

Response

Success

The response is of type object.